from datetime import datetime

from jobs import analyze, clear_wal
from util import main_wrapper


@main_wrapper
def main():
    schedule = [
        analyze,
        clear_wal,
    ]
    for job in schedule:
        print('Starting', job.__name__, datetime.now().strftime("%H:%M:%S"))
        job.run()


if __name__ == '__main__':
    main()
